OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.VertexType2101010RevCompatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexType2101010Rev :: MonadIO m => m Bool
- gl_ARB_vertex_type_2_10_10_10_rev :: Bool
- gl_INT_2_10_10_10_REV :: GLenum
- gl_UNSIGNED_INT_2_10_10_10_REV :: GLenum
- glColorP3ui :: MonadIO m => GLenum -> GLuint -> m ()
- glColorP3uiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()
- glColorP4ui :: MonadIO m => GLenum -> GLuint -> m ()
- glColorP4uiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()
- glMultiTexCoordP1ui :: MonadIO m => GLenum -> GLenum -> GLuint -> m ()
- glMultiTexCoordP1uiv :: MonadIO m => GLenum -> GLenum -> Ptr GLuint -> m ()
- glMultiTexCoordP2ui :: MonadIO m => GLenum -> GLenum -> GLuint -> m ()
- glMultiTexCoordP2uiv :: MonadIO m => GLenum -> GLenum -> Ptr GLuint -> m ()
- glMultiTexCoordP3ui :: MonadIO m => GLenum -> GLenum -> GLuint -> m ()
- glMultiTexCoordP3uiv :: MonadIO m => GLenum -> GLenum -> Ptr GLuint -> m ()
- glMultiTexCoordP4ui :: MonadIO m => GLenum -> GLenum -> GLuint -> m ()
- glMultiTexCoordP4uiv :: MonadIO m => GLenum -> GLenum -> Ptr GLuint -> m ()
- glNormalP3ui :: MonadIO m => GLenum -> GLuint -> m ()
- glNormalP3uiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()
- glSecondaryColorP3ui :: MonadIO m => GLenum -> GLuint -> m ()
- glSecondaryColorP3uiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()
- glTexCoordP1ui :: MonadIO m => GLenum -> GLuint -> m ()
- glTexCoordP1uiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()
- glTexCoordP2ui :: MonadIO m => GLenum -> GLuint -> m ()
- glTexCoordP2uiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()
- glTexCoordP3ui :: MonadIO m => GLenum -> GLuint -> m ()
- glTexCoordP3uiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()
- glTexCoordP4ui :: MonadIO m => GLenum -> GLuint -> m ()
- glTexCoordP4uiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()
- glVertexAttribP1ui :: MonadIO m => GLuint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribP1uiv :: MonadIO m => GLuint -> GLenum -> GLboolean -> Ptr GLuint -> m ()
- glVertexAttribP2ui :: MonadIO m => GLuint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribP2uiv :: MonadIO m => GLuint -> GLenum -> GLboolean -> Ptr GLuint -> m ()
- glVertexAttribP3ui :: MonadIO m => GLuint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribP3uiv :: MonadIO m => GLuint -> GLenum -> GLboolean -> Ptr GLuint -> m ()
- glVertexAttribP4ui :: MonadIO m => GLuint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribP4uiv :: MonadIO m => GLuint -> GLenum -> GLboolean -> Ptr GLuint -> m ()
- glVertexP2ui :: MonadIO m => GLenum -> GLuint -> m ()
- glVertexP2uiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()
- glVertexP3ui :: MonadIO m => GLenum -> GLuint -> m ()
- glVertexP3uiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()
- glVertexP4ui :: MonadIO m => GLenum -> GLuint -> m ()
- glVertexP4uiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()

# Extension Support

glGetARBVertexType2101010Rev :: MonadIO m => m Bool

Is the ARB_vertex_type_2_10_10_10_rev extension supported?

gl_ARB_vertex_type_2_10_10_10_rev :: Bool

Is the ARB_vertex_type_2_10_10_10_rev extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexType2101010Rev` in those cases instead.

# Enums

gl_INT_2_10_10_10_REV :: GLenum

gl_UNSIGNED_INT_2_10_10_10_REV :: GLenum

# Functions

glColorP3ui

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `color`.
-> m () |

glColorP3uiv

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> Ptr GLuint | `color` pointing to `1` element of type `GLuint`.
-> m () |

glColorP4ui

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `color`.
-> m () |

glColorP4uiv

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> Ptr GLuint | `color` pointing to `1` element of type `GLuint`.
-> m () |

glMultiTexCoordP1ui

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLenum | `type`.
-> GLuint | `coords`.
-> m () |

glMultiTexCoordP1uiv

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLenum | `type`.
-> Ptr GLuint | `coords` pointing to `1` element of type `GLuint`.
-> m () |

glMultiTexCoordP2ui

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLenum | `type`.
-> GLuint | `coords`.
-> m () |

glMultiTexCoordP2uiv

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLenum | `type`.
-> Ptr GLuint | `coords` pointing to `1` element of type `GLuint`.
-> m () |

glMultiTexCoordP3ui

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLenum | `type`.
-> GLuint | `coords`.
-> m () |

glMultiTexCoordP3uiv

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLenum | `type`.
-> Ptr GLuint | `coords` pointing to `1` element of type `GLuint`.
-> m () |

glMultiTexCoordP4ui

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLenum | `type`.
-> GLuint | `coords`.
-> m () |

glMultiTexCoordP4uiv

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLenum | `type`.
-> Ptr GLuint | `coords` pointing to `1` element of type `GLuint`.
-> m () |

glNormalP3ui

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `coords`.
-> m () |

glNormalP3uiv

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> Ptr GLuint | `coords` pointing to `1` element of type `GLuint`.
-> m () |

glSecondaryColorP3ui

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `color`.
-> m () |

glSecondaryColorP3uiv

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> Ptr GLuint | `color` pointing to `1` element of type `GLuint`.
-> m () |

glTexCoordP1ui

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `coords`.
-> m () |

glTexCoordP1uiv

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> Ptr GLuint | `coords` pointing to `1` element of type `GLuint`.
-> m () |

glTexCoordP2ui

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `coords`.
-> m () |

glTexCoordP2uiv

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> Ptr GLuint | `coords` pointing to `1` element of type `GLuint`.
-> m () |

glTexCoordP3ui

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `coords`.
-> m () |

glTexCoordP3uiv

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> Ptr GLuint | `coords` pointing to `1` element of type `GLuint`.
-> m () |

glTexCoordP4ui

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `coords`.
-> m () |

glTexCoordP4uiv

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> Ptr GLuint | `coords` pointing to `1` element of type `GLuint`.
-> m () |

glVertexAttribP1ui

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `value`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP1uiv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexAttribP2ui

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `value`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP2uiv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexAttribP3ui

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `value`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP3uiv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexAttribP4ui

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `value`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP4uiv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexP2ui

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `value`.
-> m () |

glVertexP2uiv

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexP3ui

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `value`.
-> m () |

glVertexP3uiv

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexP4ui

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `value`.
-> m () |

glVertexP4uiv

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |